"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.prefixes = exports.default = void 0;
var _picocolors = _interopRequireDefault(require("picocolors"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const prefixes = {
  wait: _picocolors.default.cyan("wait") + "  -",
  error: _picocolors.default.red("error") + " -",
  fatal: _picocolors.default.red("fatal") + " -",
  warn: _picocolors.default.yellow("warn") + "  -",
  ready: _picocolors.default.green("ready") + " -",
  info: _picocolors.default.cyan("info") + "  -",
  event: _picocolors.default.magenta("event") + " -",
  debug: _picocolors.default.gray("debug") + " -"
};
exports.prefixes = prefixes;
class Logger {
  wait(...message) {
    console.log(prefixes.wait, ...message);
  }
  error(...message) {
    console.error(prefixes.error, ...message);
  }
  warn(...message) {
    console.warn(prefixes.warn, ...message);
  }
  ready(...message) {
    console.log(prefixes.ready, ...message);
  }
  info(...message) {
    console.log(prefixes.info, ...message);
  }
  event(...message) {
    console.log(prefixes.event, ...message);
  }
  debug(...message) {
    console.log(prefixes.debug, ...message);
  }
  fatal(...message) {
    console.error(prefixes.fatal, ...message);
  }
}
function createInstance() {
  const instance = new Logger();
  return instance;
}
const logger = createInstance();
var _default = logger;
module.exports = _default;